%define oname  rosegarden 
%define name 	%{oname}4
%define version 0.9.6
%define release 4mdk
%define iconname %{oname}.png 
%define __libtoolize /bin/true

%define major 	0
%define libname	%mklibname Rosegarden %{major}

Summary: 	Midi, audio and notation editor
Name: 		%name
Version: 	%version
Release: 	%release
URL: 		http://www.all-day-breakfast.com/rosegarden/
Source0: 	%oname-4-%version.tar.bz2
License: 	GPL
Group: 		Sound
BuildRequires: 	qt3-devel  
BuildRequires:  kdemultimedia-devel 
BuildRequires:  jackit-devel
BuildRequires:  ladspa-devel
BuildRequires:  liblrdf-devel
BuildRequires:  ImageMagick
BuildRequires:  chrpath
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Rosegarden-4 is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%package -n %libname
Summary: Library for Rosegarden-4
Group:	System/Libraries

%description -n %libname
Library for Rosegarden-4 

%package -n %libname-devel
Summary: Devel files for Rosegarden-4
Group:  System/Libraries
Requires: %libname = %version
Provides: libRosegarden-devel
Obsoletes: libRosegarden-devel

%description -n %libname-devel
Devel files for Rosegarden-4

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %oname-4-%{version}
 
%build
 
%configure2_5x --with-jack --with-ladspa  --with-liblrdf \
                        --disable-rpath  -disable-debug
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*
chrpath -d $RPM_BUILD_ROOT/%{_libdir}/* 

#rm 0 byte fonts----why were they kept Lenny?
rm -rf  `find $RPM_BUILD_ROOT -name accordion*.xpm`
rm -rf  `find $RPM_BUILD_ROOT -name custodes*.xpm`

#icons and menu
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert gui/%oname.xpm -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert gui/%oname.xpm -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert  gui/%oname.xpm -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}
 
(cd $RPM_BUILD_ROOT 
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/%oname"\
title="Rosegarden"\
longtitle="Audio sequencer"\
needs="x11"\
icon="%{iconname}"\
section="Multimedia/Sound"
EOF
)

%find_lang %oname

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %name -f %oname.lang
%defattr(-,root,root)
%defattr(-, root,root)
%doc AUTHORS COPYING Doxyfile INSTALL README TODO TRANSLATORS  
%doc docs/howtos/*.txt docs/howtos/*-notes docs/howtos/*.py
%{_bindir}/* 
%{_datadir}/applnk/Applications/rosegarden.desktop
%{_datadir}/apps/%oname
%{_datadir}/doc/HTML/en/%oname
%{_datadir}/icons/hicolor/32x32/apps/%oname.xpm
%{_datadir}/icons/locolor/32x32/apps/%oname.xpm
%{_datadir}/icons/hicolor/16x16/apps/mini-%oname.xpm
%{_datadir}/icons/locolor/16x16/apps/mini-%oname.xpm
%{_datadir}/mimelnk/audio/x-%{oname}.desktop
%{_datadir}/mimelnk/audio/x-%{oname}21.desktop
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.9.6-4mdk
- rebuild for liblrdf2

* Wed Jan 14 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.6-3mdk 
- put back correct changelog entry for Austin's 0.9.6-1mdk--don't
  know how I screwed that
 
* Wed Jan 14 2004 Charles A Edwards <eslrahc@mandrake.org> 0.9.6-2mdk 
- use libtoolize /bin/true
- define iconname
- build with liblrdf
- buildrequire liblrdf0-devel and ImageMagick
- use source xpm to create icons
- fix rpath for _libdir  and _bindir
- use marcos configure2_5x and makeinstall_std
- rm 0 byte fonts
- add docand doc/howtos

* Mon Jan 12 2004 Austin Acton <austin@mandrake.org> 0.9.6-1mdk 
- 0.9.6
- does not require "jack" or libname
- buildrequires jackit and ladspa libs
- mklibname
- lib64 fix buildrequires

* Thu Dec 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.9.1-1mdk
- 0.9.1
- pretty-up spec
- tie bin and lib package versions

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.9-1mdk
- 0.9
- frop patch0

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-2mdk
- buildrequires

* Fri Dec 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- add mandrake menu
- add libraries rpm
- keep zero length xpm icons...
- from ccrma package

* Wed Dec 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8.5-1
- changed name to rosegarden, anaconda does not like the current name
  (anaconda should be fixed, name is legal)
- update to 0.8.5

* Sun Nov 10 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8-2
- changed name of package to rosegarden-4 (what was I thinking?...)
- added patch to rename jack alsa ports for jack >= 0.40
- added explicit dependency to jack
- added redhat menu entry

* Fri Oct 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu>
- Initial build.


